<x-app-layout>
    @section('content')
    <style>
        .btn-primary {
    background-color: #007bff; /* Adjust color as needed */
    border-color: #007bff;
}

.btn-primary:hover {
    background-color: #0056b3; /* Darker shade for hover effect */
    border-color: #004085;
}

        </style>
    <div class="max-w-lg mx-auto mt-10 p-6 bg-white rounded-lg shadow-md">
        <h1 class="text-2xl font-bold mb-6">Add Student</h1>

        <form id="studentForm" action="{{ route('admin.students.store') }}" method="POST" enctype="multipart/form-data">
            @csrf

            <div class="mb-4">
                <label for="name" class="block text-gray-700 text-sm font-medium">Name</label>
                <input type="text" name="name" id="name" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required>
            </div>

            <div class="mb-4">
                <label for="email" class="block text-gray-700 text-sm font-medium">Email</label>
                <input type="email" name="email" id="email" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required>
            </div>
            <div class="mb-4">
                <label for="university_name">University Name</label>
                <input type="text" name="university_name" id="university_name" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required >
            </div>
            <div class="mb-4">
                <label for="photo" class="block text-gray-700 text-sm font-medium">Photo</label>
                <input type="file" name="photo" id="photo" class="mt-1 block w-full text-sm text-gray-500 border-gray-300 rounded-md focus:border-indigo-500 focus:ring-indigo-500" required>
            </div>
            

            <div class="mb-4">
                <label for="passport_photo" class="block text-gray-700 text-sm font-medium">Passport Photo</label>
                <input type="file" name="passport_photo" id="passport_photo" class="mt-1 block w-full text-sm text-gray-500 border-gray-300 rounded-md focus:border-indigo-500 focus:ring-indigo-500" required>
            </div>

            <!-- Add other fields here -->

            <button type="submit" class="btn-primary  bg-indigo-600 hover:bg-indigo-700 text-white font-semibold py-2 px-4 rounded-lg">Add Student</button>
        </form>
    </div>

    <script>
        document.getElementById('studentForm').addEventListener('submit', function(event) {
            var confirmation = confirm('Are you sure you want to submit the form?');
            if (!confirmation) {
                // Prevent the form from submitting if the user clicks "Cancel"
                event.preventDefault();
            }
        });
    </script>
    @endsection
</x-app-layout>
