

<?php $__env->startSection('content'); ?>

<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startSection('content'); ?>
    <style>
        .btn-primary {
    background-color: #007bff; /* Adjust color as needed */
    border-color: #007bff;
}

.btn-primary:hover {
    background-color: #0056b3; /* Darker shade for hover effect */
    border-color: #004085;
}

        </style>
        <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <div class="max-w-lg mx-auto mt-10 p-6 bg-white rounded-lg shadow-md">
        <h1 class="text-2xl font-bold mb-6">Edit Student</h1>

        <form action="<?php echo e(route('admin.students.update', $student->id)); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>

            <div class="mb-4">
                <label for="name" class="block text-gray-700 text-sm font-medium">Name</label>
                <input type="text" name="name" id="name" value="<?php echo e($student->name); ?>" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required>
            </div>

            <div class="mb-4">
                <label for="email" class="block text-gray-700 text-sm font-medium">Email</label>
                <input type="email" name="email" id="email" value="<?php echo e($student->email); ?>" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required>
            </div>
            <div class="mb-4">
                <label for="university_name">University Name</label>
                <input type="text" name="university_name" id="university_name" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required value="<?php echo e($student->university_name); ?>">
            </div>

            <div class="mb-4">
                <label for="photo" class="block text-gray-700 text-sm font-medium">Photo</label>
                <input type="file" name="photo" id="photo" class="mt-1 block w-full text-sm text-gray-500 border-gray-300 rounded-md focus:border-indigo-500 focus:ring-indigo-500" >
                <?php if($student->photo): ?>
                <img src="<?php echo e(asset('storage/' . $student->photo)); ?>" alt="Student Photo" class="img-fluid" style="max-width: 200px;">
            <?php endif; ?>
            </div>

            <div class="mb-4">
                <label for="passport_photo" class="block text-gray-700 text-sm font-medium">Passport Photo</label>
                <input type="file" name="passport_photo" id="passport_photo" class="mt-1 block w-full text-sm text-gray-500 border-gray-300 rounded-md focus:border-indigo-500 focus:ring-indigo-500" >
                <?php if($student->passport_photo): ?>
                <?php
                    // Get the file extension of the passport photo
                    $fileExtension = pathinfo($student->passport_photo, PATHINFO_EXTENSION);
                ?>
            
                <?php if(in_array($fileExtension, ['jpg', 'jpeg', 'png', 'gif'])): ?>
                    <!-- Display image if the file is an image -->
                    <img src="<?php echo e(asset('storage/' . $student->passport_photo)); ?>" alt="Passport Photo" class="img-fluid" style="max-width: 200px;">
                <?php else: ?>
                <p><a href="<?php echo e(asset('storage/' . $student->passport_photo)); ?>" class="link-success link-offset-2 link-underline-opacity-25 link-underline-opacity-100-hover">Download Passport</a></p>

                    <!-- Display a download button if the file is not an image -->
                    
                <?php endif; ?>
            <?php endif; ?>
            
            </div>

            <!-- Add other fields here -->

            <button type="submit" class="btn-primary  bg-indigo-600 hover:bg-indigo-700 text-white font-semibold py-2 px-4 rounded-lg">Add Student</button>
        </form>
    </div>
    <?php $__env->stopSection(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dxbitprojects/public_html/student_managment/resources/views/students/edit.blade.php ENDPATH**/ ?>