<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;
use Illuminate\Support\Facades\Hash;

class AdminUserSeeder extends Seeder
{
    public function run()
    {
        User::updateOrCreate(
            ['email' => 'admin@admin.com'], // Ensure this admin user is created once based on email
            [
                'name' => 'Admin User',
                'email' => 'admin@admin.com',
                'password' => Hash::make('Hello@1985'), // Set a secure password
                'is_admin' => 1, // Make this user an admin
            ]
        );
    }
}

