<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startSection('content'); ?>
    <style>
        .btn-primary {
    background-color: #007bff; /* Adjust color as needed */
    border-color: #007bff;
}

.btn-primary:hover {
    background-color: #0056b3; /* Darker shade for hover effect */
    border-color: #004085;
}

        </style>
    <div class="max-w-lg mx-auto mt-10 p-6 bg-white rounded-lg shadow-md">
        <h1 class="text-2xl font-bold mb-6">Add Student</h1>

        <form id="studentForm" action="<?php echo e(route('admin.students.store')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>

            <div class="mb-4">
                <label for="name" class="block text-gray-700 text-sm font-medium">Name</label>
                <input type="text" name="name" id="name" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required>
            </div>

            <div class="mb-4">
                <label for="email" class="block text-gray-700 text-sm font-medium">Email</label>
                <input type="email" name="email" id="email" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required>
            </div>
            <div class="mb-4">
                <label for="university_name">University Name</label>
                <input type="text" name="university_name" id="university_name" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm" required >
            </div>
            <div class="mb-4">
                <label for="photo" class="block text-gray-700 text-sm font-medium">Photo</label>
                <input type="file" name="photo" id="photo" class="mt-1 block w-full text-sm text-gray-500 border-gray-300 rounded-md focus:border-indigo-500 focus:ring-indigo-500" required>
            </div>
            

            <div class="mb-4">
                <label for="passport_photo" class="block text-gray-700 text-sm font-medium">Passport Photo</label>
                <input type="file" name="passport_photo" id="passport_photo" class="mt-1 block w-full text-sm text-gray-500 border-gray-300 rounded-md focus:border-indigo-500 focus:ring-indigo-500" required>
            </div>

            <!-- Add other fields here -->

            <button type="submit" class="btn-primary  bg-indigo-600 hover:bg-indigo-700 text-white font-semibold py-2 px-4 rounded-lg">Add Student</button>
        </form>
    </div>

    <script>
        document.getElementById('studentForm').addEventListener('submit', function(event) {
            var confirmation = confirm('Are you sure you want to submit the form?');
            if (!confirmation) {
                // Prevent the form from submitting if the user clicks "Cancel"
                event.preventDefault();
            }
        });
    </script>
    <?php $__env->stopSection(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH /home/dxbitprojects/public_html/student_managment/resources/views/students/create.blade.php ENDPATH**/ ?>